Name:           gnofract4d
Version:        2.6
Release:        2
Summary:        Gnofract 4D is a Gnome-based program to draw fractals.

Group:          Amusements/Graphics
License:        GPL
URL:            http://gnofract4d.sourceforge.net/
Source0:        http//dl.sf.net/gnofract4d/gnofract4d-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post): scrollkeeper
Requires(postun): scrollkeeper
# This *really* requires gcc at runtime!
Requires:	gcc
BuildRequires:  desktop-file-utils, python-devel
BuildRequires:	scrollkeeper, libgnomeui-devel

%description
Gnofract 4D is a Gnome-based program to draw fractals. What sets it apart from 
other fractal programs (and makes it "4D") is the way that it treats the 
Mandelbrot and Julia sets as different views of the same four-dimensional 
fractal object. This allows you to generate images which are a cross between 
the two sets and explore their inter-relationships. 

%prep
%setup -q
%ifarch x86_64
  sed -i 's|/usr/lib/|%{_libdir}/|g' setup.cfg
%endif

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
#sed -i "s/Terminal=0/Terminal=false/" %{name}.desktop
python setup.py install -O1 --root=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name "*.a" -exec rm -f {} ';'


desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications \
		     --vendor fedora \
		     --add-category X-Fedora \
		     --add-category Graphics \
		     --add-category Application \
		     --delete-original \
		     $RPM_BUILD_ROOT/%{_datadir}/gnome/apps/Graphics/gnofract4d.desktop
rm -rf $RPM_BUILD_ROOT/%{_datadir}/gnome/apps

%clean
rm -rf $RPM_BUILD_ROOT


%post
/usr/bin/scrollkeeper-update 2> /dev/null
/usr/bin/update-desktop-database %{_datadir}/applications

%postun
/usr/bin/scrollkeeper-update 2> /dev/null
/usr/bin/update-desktop-database %{_datadir}/applications

%files 
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/*
%{_libdir}/%{name}-%{version}
%{_datadir}/maps
%{_datadir}/formulas
%{_datadir}/gnome/help/%{name}
%{_datadir}/pixmaps/%{name}
%{_datadir}/applications/*

%changelog
* Sun Feb 13 2005 Throsten Leemhuis <fedora at leemhuis dot info> 0:2.6-2
- "sed -i s|/usr/lib/|%%{_libdir}|g setup.cfg" on x86_64

* Tue Feb 01 2005 Panu Matilainen <pmatilai@welho.com> 0:2.6-1
- update to 2.6
- drop epoch 0 and fedora.us release tag
- run update-desktop-database on post+postun

* Sun Oct 03 2004 Panu Matilainen <pmatilai@welho.com> 0:2.1-0.fdr.1
- update to 2.1

* Tue Jul 06 2004 Panu Matilainen <pmatilai@welho.com> 0:2.0-0.fdr.1
- update to 2.0
- quite a few dependency changes because of switch to python etc

* Mon May 31 2004 Panu Matilainen <pmatilai@welho.com> 0:1.9-0.fdr.3
- fix build against newer gtk (gtk-buildfix patch)

* Tue Dec 23 2003 Panu Matilainen <pmatilai@welho.com> 0:1.9-0.fdr.2
- address issues in #1114
- huh, this requires g++ to run...

* Mon Dec 15 2003 Panu Matilainen <pmatilai@welho.com> 0:1.9-0.fdr.1
- update to 1.9
- drop patch (no longer needed to build)
- add translations now that there is one


* Sun Dec 07 2003 Panu Matilainen <pmatilai@welho.com> 0:1.8-0.fdr.1
- Initial Fedora packaging.
